<?php

use App\Livewire\Settings\Appearance;
use App\Livewire\Settings\Password;
use App\Livewire\Settings\Profile;
use Illuminate\Support\Facades\Route;

Route::get('/', App\Livewire\ApplicationForm::class)->name('home');
Route::get('/application-status/{uuid}', App\Livewire\ApplicationStatus::class)->name('application');

Route::view('dashboard', 'dashboard')
    ->middleware(['auth', 'verified', App\Http\Middleware\IsAdmin::class])
    ->name('dashboard');

Route::middleware(['auth'])->group(function () {
    Route::redirect('settings', 'settings/profile');

    Route::get('settings/profile', Profile::class)->name('settings.profile');
    Route::get('settings/password', Password::class)->name('settings.password');
    Route::get('settings/appearance', Appearance::class)->name('settings.appearance');
});

require __DIR__ . '/auth.php';
